<template>
  <StyledVideoContainer>
    <StyledSpace space="20px" />
    <StyledContainer>
      <a-row type="flex" align="middle" justify="center">
        <a-col :xl="{ span: 24 }">
          <AtomMainVideo videoID="1051281197" :autoplay="true" :controls="true" />
        </a-col>
      </a-row>
      <StyledSpace space="20px" />
      <a-row :gutter=[16,16] >
        <MoleculeMoreVideos />
      </a-row>
    </StyledContainer>
  </StyledVideoContainer>
</template>

<script>
import AtomMainVideo from '../../Atoms/AtomMainVideo/AtomMainVideo.vue';
import MoleculeMoreVideos from '../../Molecules/MoleculeMoreVideos/MoleculeMoreVideos.vue';

import StyledVideoContainer from '../../../styles/Organisms/OrganismSectionVideo/OrganismSectionVideo';
import { StyledContainer, StyledSpace } from '../../../styles/Styles';

export default {
  name: 'OrganismSectionVideo',

  components: {
    StyledVideoContainer,
    StyledContainer,
    StyledSpace,
    AtomMainVideo,
    MoleculeMoreVideos,
  },

  props: {
    space: {
      type: String,
    },
  },
};
</script>
